test.testSuite=org.apache.derbyTesting.functionTests.tests.junitTests.compatibility.CompatibilitySuite
# Optional, default false
# test.printDebug=false
test.printDebug=true

# Optional, default false
# test.showSysinfo=true
test.showSysinfo=true

# Optional, default false
# test.includeUpgrade=true
# Simply means the database files are NOT removed between server starts.
# Observe that trunk should not be included when test.includeUpgrade=true.

#############################
# Server port to use: optional, default 1527
test.serverPort=1527
# Since  CompatibilitySuite and JDBCDriverTest only handles default.. 
# Most tests are not yet ready for a non-default value.

#############################
# Jvms to be used for server and client side:
# 'jvm.versions' tells how many. 'jvm.N=<descriptive_name>' defines 
# names of properties giving the full path to the actual jvms. 
jvm.versions=1
# jvm.0=j13lib
#jvm.0=j14lib
#jvm.1=j15lib
jvm.0=j16lib

# j13lib=C:/p4clients/ntsoftware/ntsoftware/ibm131/jre/lib
#j14lib=C:/p4clients/ntsoftware/ntsoftware/ibm142/jre/lib
#j15lib=C:/p4clients/ntsoftware/ntsoftware/ibm15/jre/lib
#j16lib=C:/p4clients/ntsoftware/ntsoftware/ibm16/jre/lib
j14lib=C:/p4clients/ntsoftware/ntsoftware/ibm142/jre/bin
j15lib=C:/p4clients/ntsoftware/ntsoftware/ibm15/jre/bin
j16lib=C:/p4clients/ntsoftware/ntsoftware/ibm16/jre/bin

##############################
# Derby versions to be used for server and client side:
#-----------------------------
# 'derby.versions' how many. 'derby.versionN=<descriptive_name>' defines 
# names of properties giving the full path to the actual Derby libraries. 
derby.versions=6
derby.version0=10.0.2.1
derby.version1=10.1.1.0
derby.version2=10.2.2.0
derby.version3=10.4.2.1
derby.version4=10.6.1.0
derby.version5=Trunk

#derby.versions=3
#derby.version0=10.0.2.1
#derby.version1=10.6.1.0
#derby.version2=Trunk

Trunk=C:/p4clients/svnmain/client2/trunk/jars/sane
10.0.2.1=C:/p4clients/releasedJars/jars/10.0.2.1
10.1.1.0=C:/p4clients/releasedJars/jars/10.1.1.0
10.1.2.0=C:/p4clients/releasedJars/jars/10.1.2.0
10.1.3.1=C:/p4clients/releasedJars/jars/10.1.3.1
10.2.2.0=C:/p4clients/releasedJars/jars/10.2.2.0
10.2.2.1=C:/p4clients/releasedJars/jars/10.2.2.1
10.3.3.0=C:/p4clients/releasedJars/jars/10.3.3.0
10.4.2.1=C:/p4clients/releasedJars/jars/10.4.2.1
10.5.3.0=C:/p4clients/releasedJars/jars/10.5.3.0
10.6.1.0=C:/p4clients/releasedJars/jars/10.6.1.0

#-----------------------------
# Which Derby versions are security enabled:
10.0.2.1_SA=false
10.1.1.0_SA=false
10.1.2.1_SA=false
10.1.3.1_SA=false
10.2.2.0_SA=false
10.2.2.1_SA=false
10.3.3.0_SA=true
10.4.2.1_SA=true
10.5.3.0_SA=true
10.6.1.0_SA=true
Trunk_SA=true

#-----------------------------
# Specify security option string for security enabled version(s)
test.securityOption=noSecurityManager

#-----------------------------
# Driver to use for 10.0.2.1(incubator version - no Derby provided driver):
db2jcc_lib=C:/p4clients/ntsoftware/ntsoftware/jcc2.6

#-----------------------------
# Use a special testing jar? Optional
# E.g. your own experimental:
# test.derbyTestingJar=/home/testuser/Derby/testSandbox/trunk/jars/insane/derbyTesting.jar

#-----------------------------
# Use one single derby version server, optional:
# test.singleServer=5
# 5 for derby.version5, which in this example maps to Trunk
#-----------------------------
# Use one single jvm version server, optional:
# test.singleServerVM=2
# 2 for jvm.2, which in this example maps to j16lib

#-----------------------------
# Use one single derby version client, optional:
# test.singleClient=5
# for derby.version5, which in this example maps to Trunk
----------------------------
# Use one single jvm version server, optional:
# test.singleClientVM=2
# 2 for jvm.2, which in this example maps to j16lib

##############################
# Utilities...
junit_jar=C:/p4clients/svnmain/client2/trunk/java/junit.jar
jce_jar=C:/p4clients/ntsoftware/ntsoftware/ibm131/jre/lib/ext/jce1_2_2.jar
jdbc2_0_stdext_jar=C:/p4clients/svnmain/client2/trunk/tools/java/jdbc2_0-stdext.jar

